﻿namespace Telerik.UI.Xaml.Controls.Input
{
    /// <summary>
    /// Defines the possible display modes of a <see cref="RadDatePicker"/> or <see cref="RadTimePicker"/> controls.
    /// </summary>
    public enum DateTimePickerDisplayMode
    {
        /// <summary>
        /// The control is displayed by two parts: Picker part and Selector part. The Picker part is displayed in the main layout.
        /// </summary>
        Standard,

        /// <summary>
        /// The control displays only the Selector part in the main layout.
        /// </summary>
        Inline
    }
}